Отключение назойливых окон и подтверждение легальности обновления(!) для БП 3.0 при помощи расширения

Администрирование - Сервисные утилиты

расширение реклама легальность получения обновления

72
Отключение назойливых окон и подтверждение легальности обновления(!) для БП 3.0 при помощи расширения

В БП версии 3.0.41 отключили совместимость с платформой 8.3.5, и поэтому нам стали доступны расширения. Данное расширение отключает

  • навязчивую рекламу при запуске программы;
  • предложение обновить платформу;
  • предложение обновить конфигурацию;
  • предложение переключить интерфейс;
  • предложение увеличитьпамять;
  • все подсказки

а также автоматически подтверждает легальность получения обновления. Это значит, что теперь не нужно вручную выбирать "Я подтверждаю легальность получения обновления в соответствии с вышеизложенными условиями" и жать кнопку "Продолжить". Расширение все сделает автоматически.

Все блокировки настраиваются из раздела "Администрирование", "Настройка АнтиPopup"

 Настройки

Расширение протестировано с БП 3.0.41.48

Как установить расширение, описывать не буду. Можно посмотреть здесь //infostart.ru/public/356694/

Обновление от 21.07.2016: отключена проверка режима совместимости интерфейса, версии платформы.
Обновление от 09.12.2016: поддержка БП 3.0.44.204

72

Скачать файлы

Наименование Файл Версия Размер
АнтиPopup
.cfe 47,83Kb
21.07.16
268
.cfe 1.0.0.3 47,83Kb 268 Скачать

См. также

Комментарии
Избранное Подписка Сортировка: Древо
1. alon 170 01.07.15 09:14 Сейчас в теме
Означает ли это, что теперь можно будет устанавливать обновления нелегально? А в случае чего сказать: "меня никто не предупредил". ;-)
4. Йожкин Кот 1053 01.07.15 13:52 Сейчас в теме
(1) Вопрос легальности/нелегальности задан не по теме. Отключение окна подтверждения легальности обновления сделано для удобства обновления в автоматическом режиме. Это никак не освобождает от ответственности.
3. Daar 01.07.15 12:47 Сейчас в теме
(2) wolfsoft,
Перешли на неё практически с момента выхода, полет нормальный, ошибок не разу не наблюдали.
49. kuzyara 522 31.01.18 05:43 Сейчас в теме
(3) Интернет-поддержку не отключает, как и у (28)
5. alon 170 01.07.15 14:35 Сейчас в теме
Для чего тогда это окно появляется? Давайте напишем в 1С, что оно препятствует автоматическому обновлению.
8. Йожкин Кот 1053 01.07.15 18:44 Сейчас в теме
(5) С ТП переписываться бесполезно, так же как и заводить ветку на партнерском форуме. 1С плевать хотела, что что-то неудобно.
6. v3rter 01.07.15 15:10 Сейчас в теме
Может есть смысл в третьем варианте - сообщить в окне состояния?
Предложения обновить платформу, например, я хотел бы видеть, но ненавязчиво.
7. Йожкин Кот 1053 01.07.15 18:36 Сейчас в теме
(6) В конфигурации фактически 2 проверки версии платформы:
1. Проверка минимально необходимой платформы. Это окно выводится как и прежде
2. Проверка на рекомендуемую версию платформы. Например, в БП 3.0.40 рекомендуют уже использовать 8.3.6, хотя конфигурация прекрасно работает на 8.3.5. Вот это окно и блокируется.

Вообще не понимаю, для кого эти окна выводятся. Бухгалтеру вообще фиолетово на какой версии платформы он работает и нужно ли ее вообще трогать. А опытный специалист и так знает, когда необходимо обновлятся.
9. v3rter 02.07.15 09:07 Сейчас в теме
Скажем так, никто не заитересован в существовании обслуживающих бухгалтерий кроме самих обслуживающих бухгалтерий.
Упрощение означает удешевление обслуживания, а удешевления никто не желает. Кроме конечных потребителей, разумеется.
Соотношение же функционал/простота ПО в целом зависит исключительно от платежеспособности целевой аудитории.
10. Danil.Potapov 03.07.15 10:08 Сейчас в теме
Достойное применение возможностей 8.3.6
11. dour-dead 218 03.08.15 17:30 Сейчас в теме
интересно, а выравнять элементы на форме сложно было?:
Прикрепленные файлы:
корум; ЛеваРоскошный; Gizmo_esu; emulty; +4 Ответить
12. domnauki 14.09.15 21:24 Сейчас в теме
Что за фигня ?
Не работает.
Сообщает : ошибка подключения расширения. Пишет нет .... новостей.
13. Йожкин Кот 1053 14.09.15 22:11 Сейчас в теме
(12) Проверил на последнем релизе - никаких ошибок нет. Можете скриншот прислать и написать версию релиза?
14. Armando 1385 14.09.15 23:25 Сейчас в теме
Если обновлять через внешнее соединение (COM), то подтверждение легальности не требуется. Например у меня в скрипте обновления бухгалтерии 3.0 прописано вот так:
ExternalConnection.[СтандартныеПодсистемыСервер].[УстановитьЗапускОбновленияИнформационнойБазы](True)
ExternalConnection.[ОбновлениеИнформационнойБазы].[ВыполнитьОбновлениеИнформационнойБазы]()
v3rter; tormozit; +2 Ответить
15. chmv 14.07.16 13:26 Сейчас в теме
а как автоматически подключить приложение ?
16. Йожкин Кот 1053 14.07.16 20:43 Сейчас в теме
(15) Не совсем понял вопроса. Ссылка на описание подключения расширения есть в статье
19. v3rter 28.07.16 11:14 Сейчас в теме
15. chmv (файл скачал) 14.07.2016 13:26
а как автоматически подключить приложение ?

16. Йожкин Кот 14.07.2016 20:43
(15) Не совсем понял вопроса. Ссылка на описание подключения расширения есть в статье

Поясню вопрос - допустим, у меня 20 баз, есть возможность автоматизировать установку расширения?
17. chmv 20.07.16 16:48 Сейчас в теме
Ошибка подключения расширения: АнтиPopup (1.0.0.1) - Ошибка свойства РежимСовместимостиИнтерфейса у объекта
18. Йожкин Кот 1053 21.07.16 20:21 Сейчас в теме
(17) Проверил на крайнем релизе БП 3.0 - все работает без проблем! Но на всякий случай, отключил в новой версии расширения проверку на совместимость интерфейса и версии платформы.
20. chmv 04.10.16 16:34 Сейчас в теме
с последними версиями работает? Платформа 8.3.8
21. Йожкин Кот 1053 05.10.16 10:55 Сейчас в теме
(20) Протестировал на крайнем релизе БП 3.0.44.140 - все работает.
22. aleksi676 06.10.16 14:38 Сейчас в теме
C платформой 8.3.8 пишет несовместим.
23. Йожкин Кот 1053 06.10.16 17:21 Сейчас в теме
(22) Вышлите скриншот ошибки, т.к. у меня тоже 8.3.8 и никаких ошибок не выдает.
24. evgenij7887 06.10.16 17:38 Сейчас в теме
Для ЗУП 3.0 что-то подобное планируется?
25. Йожкин Кот 1053 07.10.16 09:32 Сейчас в теме
(24) Можно попробовать сделать.
26. Akuji 8 07.10.16 10:29 Сейчас в теме
А сообщение которое вылазит каждые пол часа о проверке отключает?
28. Mx00 157 08.10.16 00:22 Сейчас в теме
(26) Сообщения вылазят, автору есть чем заняться на досуге - 1С видимо много чего поменяла
Прикрепленные файлы:
27. Mx00 157 07.10.16 23:00 Сейчас в теме
Платформа: 1С:Предприятие 8.3 (8.3.9.1818)
Конфигурация: Бухгалтерия предприятия, редакция 3.0 (3.0.44.140) (http://v8.1c.ru/buhv8/)
Copyright (С) ООО "1C-Софт", 2009 - 2016. Все права защищены
(http://www.1c.ru)
Режим: Файловый (без сжатия)
Приложение: Тонкий клиент
Локализация: Информационная база: русский (Россия), Сеанс: русский (Россия)
Вариант интерфейса: Такси

Ошибки:
--------------------------------------------------------------------------------
07.10.2016 22:59:33
АнтиPopup (1.0.0.2): Критичная: Режим совместимости расширения конфигурации больше режима совместимости основной конфигурации

29. Йожкин Кот 1053 08.10.16 11:11 Сейчас в теме
(27) Используйте платформу 8.3.8
30. Alister 9 11.10.16 15:20 Сейчас в теме
Платформа 8.3.8.2027, бухия 3.0.44.155, все выровнено и главное работает, так что автору спасибо и +
31. Alister 9 18.10.16 19:27 Сейчас в теме
А возможно ли сделать так, чтобы настройки распространялись глобально на всех пользователей, а не у каждого отдельно были?)
32. Йожкин Кот 1053 19.10.16 20:37 Сейчас в теме
(31) В типовых программах 1С заложено сохранение настроек по пользователям.
33. Alister 9 19.10.16 20:42 Сейчас в теме
(32) я это понимаю, но было бы замечательно установить настройки сразу для всех пользователей в базе отсюда, а не искать обработку для копирования настроек между пользователями... просто мне надо у десятка пользователей отключить запрос на переключение интерфейса на такси, потому что при этом интерфейс все равно не переключается, но начинают глючить сторонние доработки.
34. Йожкин Кот 1053 19.10.16 20:57 Сейчас в теме
(33) Копирование настроек есть штатное, в администрировании.
35. Alister 9 19.10.16 21:23 Сейчас в теме
(34) открыл, выбрал отдельные настройки (потому что копировать все опять же не могу) и нашел только настройку панели администрирования АнтиPopup, после ее копирования установленные блокировки не скопировались.
А вот если скопировать все настройки, то блокировки копируются, т.е. они сидят внутри общих настроек, а такое копирование мне не подходит, жаль.
36. Alister 9 19.10.16 21:26 Сейчас в теме
Походу они сидят в пункте "персональные настройки" закладки "прочие настройки" в копировании настроек.)
37. Alister 9 19.10.16 22:07 Сейчас в теме
В общем похоже проще под свой случай переделать само расширение.)))
38. Ant10 102 24.12.16 11:31 Сейчас в теме
Платформа 8.3.9.2033,
Бухгалтерия 3.0.44.204
Все заявленное работает без проблем_

p\s автору-желательно включить в расширение блокировку окна подключения к 1С:ИТС
39. linuxoid_007 02.03.17 22:12 Сейчас в теме
Добрый вечер. получил такую ошибку. Ошибки:
--------------------------------------------------------------------------------
03.03.2017 0:10:48
АнтиPopup (1.0.0.2): Критичная: Режим совместимости расширения конфигурации больше режима совместимости основной конфигурации
43. Йожкин Кот 1053 03.03.17 21:12 Сейчас в теме
(39) Нужно режим совместимости у расширения сделать таким же как у конфигурации.
40. linuxoid_007 02.03.17 22:13 Сейчас в теме
Платформа: 1С:Предприятие 8.3 (8.3.9.1818)
Конфигурация: Бухгалтерия предприятия, редакция 3.0 (3.0.47.32)
41. linuxoid_007 02.03.17 22:13 Сейчас в теме
42. Alister 9 02.03.17 22:18 Сейчас в теме
(41) можно попробовать открыть расширение в конфигураторе, обновить его формы и сохранить расширение.
44. linuxoid_007 08.03.17 22:17 Сейчас в теме
45. Amur_MVS 105 12.05.17 17:13 Сейчас в теме
Значение контролируемого свойства РежимСовместимостиИнтерфейса у объекта не совпадает со значением в расширяемой конфигурации
Значение контролируемого свойства РежимСовместимости у объекта не совпадает со значением в расширяемой конфигурации
46. Йожкин Кот 1053 12.05.17 23:14 Сейчас в теме
(45) Если уже перешли на платформу 8.3.9 или 8.3.10, то нужно режим совместимости поменять вручную
47. Yashazz 2295 26.09.17 22:27 Сейчас в теме
Автор, для текущих релизов БП - работает?
48. Йожкин Кот 1053 29.09.17 09:25 Сейчас в теме
(47) В ближайшее время закачаю новый релиз, со снятым режимом совместимости.
50. Ant10 102 26.06.18 22:10 Сейчас в теме
Сударь! Вам - в личку)- нк_обработки, включая мою_
Удачи!
Прикрепленные файлы:
Отключение Интернет-поддержки.zip
Оставьте свое сообщение